Disclosure: Some of the links on this page are affiliate links. Clicking these and making a purchase will directly support Rekkerd. Thanks!

Piotr ‘Habib’ Pyrzanowski updates Extremist to v1.2

0
Habib Extremist VST

Piotr ‘Habib’ Pyrzanowski has updated Extremist, a freeware distortion VST plug-in geared toward guitar players, to version 1.2.

New in v1.2

  • Mono processing bug fixed
  • Implements VST 2.4 and will work with Cubase 4

Visit Habib’s website for more information and a link to download the latest version of Extremist.

Subscribe
Notify of
guest
0 Comments
Inline Feedbacks
View all comments